Name:           scudcloud
Version:        1.37
Release:        1%{?dist}
Summary:        Non official desktop client for Slack

License:        MIT
URL:            https://github.com/raelgc/scudcloud
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       python3-dbus
Requires:       python3-PyQt4
# Better to have (python3-PyQt4-webkit OR pyhunspell-python3)
Requires:       python3-PyQt4-webkit
Requires:       lato-fonts
Requires:       hicolor-icon-theme
# It is possible to use self-written notifier, but better to use libnotify
# via GObject Introspection
# Better to have (libnotify AND python3-gobject-base)
Recommends:     libnotify
Recommends:     python3-gobject-base

BuildRequires:  desktop-file-utils

%description
ScudCloud improves the Slack integration with Linux desktops featuring:
* multiple teams support
* native system notifications
* count of unread direct mentions at launcher/sytray icon
* alert/wobbling on new messages
* optional tray notifications and "Close to Tray"
* follow your desktop activity and will stay online while you're logged in

%prep
%autosetup
# Drop shebang
sed -i -e '1{\@^#!/usr/bin/env python@d}' %{name}/__main__.py

%build
%py3_build

%install
%py3_install
rm -rf %{buildroot}%{_datadir}/icons/{elementary,ubuntu*}/
rm -rf %{buildroot}%{_datadir}/doc/%{name}/

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%post
/usr/bin/update-desktop-database &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/usr/bin/update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}*.svg
%{_datadir}/pixmaps/%{name}.png
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-*.egg-info/

%changelog
* Wed Nov 16 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.37-1
- Update to 1.37 (RHBZ #1395685)

* Wed Nov 16 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.34-1
- Update to 1.34 (RHBZ #1383856)

* Mon Oct 10 2016 Igor Gnatenko <ignatenko@redhat.com> - 1.33-2
- Remove shebang in %%prep

* Mon Oct 10 2016 Igor Gnatenko <ignatenko@redhat.com> - 1.33-1
- Update to 1.33 (RHBZ #1383343)

* Wed Jul 27 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.31-1
- Update to 1.31 (RHBZ #1360333)

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.30-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Jul 05 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.30-1
- Update to 1.30 (RHBZ #1352898)

* Mon Jul 04 2016 Igor Gnatenko <ignatenko@redhat.com> - 1.29-1
- Update to 1.29 (RHBZ #1352582)

* Mon Jun 27 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.25-1
- Update to 1.25 (RHBZ #1350359)

* Fri Jun 17 2016 Igor Gnatenko <ignatenko@redhat.com> - 1.24-2
- Add Requires: hicolor-icon-theme
- Fix typo in lato-fonts

* Mon Jun 13 2016 Igor Gnatenko <ignatenko@redhat.com> - 1.24-1
- Initial package
